AW: Poll: haproxy 1.4 support ?

2018-01-02 Thread Maximilian Böhm
Debian (Jessie) distributes Haproxy 1.5.8.3 root@s10 # apt-get install haproxy Reading package lists... Done Building dependency tree Reading state information... Done Suggested packages: vim-haproxy haproxy-doc The following NEW packages will be installed: haproxy 0 upgraded, 1 newly

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
On Tue, Jan 02, 2018 at 07:09:50PM +0100, Tim Düsterhus wrote: > Willy, > > Am 02.01.2018 um 17:53 schrieb Willy Tarreau: > > Oh bad, you're right. I wanted to even remove the "main features" part as > > it's been totally outdated now. This page starts to age a lot. I really > > think we should

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
On Tue, Jan 02, 2018 at 07:03:07PM +0100, Tim Düsterhus wrote: > Willy, > > Am 02.01.2018 um 17:56 schrieb Willy Tarreau: > > Just checked there and not only I can only see "alpine" there, there's no > > single mention of debian on the page. Do you have another URL that I should > > add maybe ? >

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Tim Düsterhus
Willy, Am 02.01.2018 um 17:53 schrieb Willy Tarreau: > Oh bad, you're right. I wanted to even remove the "main features" part as > it's been totally outdated now. This page starts to age a lot. I really > think we should replace it all with a wiki so that many more people could > participate to

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Tim Düsterhus
Willy, Am 02.01.2018 um 17:56 schrieb Willy Tarreau: > Just checked there and not only I can only see "alpine" there, there's no > single mention of debian on the page. Do you have another URL that I should > add maybe ? > The ones without a "specifier" are the Debian based ones. This is a

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
On Tue, Jan 02, 2018 at 03:23:00PM +, Jonathan Matthews wrote: > The sustainability of haproxy is linked to the amount of work you (and > a /relatively/ small set of people) both have to do and want to do. > I would very much like it to continue happily, so I would vote to > reduce your mental

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
On Tue, Jan 02, 2018 at 05:53:00PM +0100, Willy Tarreau wrote: > > And while you're at it: The "Alpine-based Docker images" link in the > > side bar technically should be named "Alpine / Debian-based Docker > > images", but this probably does not fit in. > > I can place two links, one with Alpine

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
Hi Tim! On Tue, Jan 02, 2018 at 05:28:37PM +0100, Tim Düsterhus wrote: > Hi > > Am 02.01.2018 um 16:12 schrieb Willy Tarreau: > > So please simply voice in. Just a few "please keep it alive" will be > > enough to convince me, otherwise I'll mark it unmaintained. > > > > Don't forget to update

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Aaron West
+1 Aaron West Loadbalancer.org Ltd. www.loadbalancer.org

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Lucas Rolff
You don’t They’ve pinned a version to 1.5.x, in case Software gets deprecated / EOL like it happens with things such as PHP being a very good example, the distribution are required to support those versions until they EOL that specific release That’s a part of having a LTS distro, it’s their

RE: Poll: haproxy 1.4 support ?

2018-01-02 Thread Norman Branitsky
Unfortunately, Red Hat continues to distribute 1.5 in RHEL 7. How do we get them to upgrade to 1.7 ? From: Falco Schmutz / premaccess [mailto:fschm...@premaccess.com] Sent: January-02-18 10:27 AM To: Jonathan Matthews Cc: haproxy Subject: Re: Poll:

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Lucas Rolff
I also vote for both 1.4 and 1.5 being marked, if vendors do rely on old versions due to LTS, they tend to backport critical security and bug fixes anyway Get Outlook for iOS From: Pavlos Parissis Sent: Tuesday,

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Pavlos Parissis
On 02/01/2018 04:23 μμ, Jonathan Matthews wrote: > On 2 January 2018 at 15:12, Willy Tarreau wrote: >> So please simply voice in. Just a few "please keep it alive" will be >> enough to convince me, otherwise I'll mark it unmaintained. > > I don't use 1.4, but I do have a small

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Falco Schmutz / premaccess
Yes Jonathan is right, do mark 'unmaintained' or remove it anyway 8 years... 1.5 also can be remove or unmaintained as well. Cheers ! And Happy New Year :-) On 2 January 2018 at 16:23, Jonathan Matthews wrote: > On 2 January 2018 at 15:12, Willy Tarreau

Re: Poll: haproxy 1.4 support ?

2018-01-02 Thread Jonathan Matthews
On 2 January 2018 at 15:12, Willy Tarreau wrote: > So please simply voice in. Just a few "please keep it alive" will be > enough to convince me, otherwise I'll mark it unmaintained. I don't use 1.4, but I do have a small reason to say please *do* mark it as unmaintained. The

Poll: haproxy 1.4 support ?

2018-01-02 Thread Willy Tarreau
Hi all, while looking at what fixes to backport into older versions, I noticed that 1.4 hasn't received a single fix over the last two years and that apparently nobody's complaining (I'm pretty confident that the vast majority of recent bugs did not even impact it). This branch is already tagged

[ANNOUNCE] haproxy-1.7.10

2018-01-02 Thread Willy Tarreau
Hi, Here finally comes the long awaited 1.7.10 after 4.5 months being too busy with 1.8 to test 1.7! No less than 54 commits were added on top of 1.7.9 to fix the quite long list of pending issues. As some may remember, we faced a long series of issues affecting HTTP response forwarding in

Storing characters in stick tables

2018-01-02 Thread Franks Andy (IT Technical Architecture Manager)
Hi all, First of all happy new year! I'm using haproxy 1.8 in case that's relevant. I've set up optional client certificate checking against a CA we have at the place I work, which is working really well; I decline access to certain uris based on whether the client has a certificate that